(function ($, Drupal, once) {
  Drupal.behaviors.taxonomyViewCounter = {
    attach: function (context, settings) {
      // Use 'once' to ensure this behavior is only attached once per element.
      $(once('taxonomyViewCounter', 'body', context)).each(function () {
        var tid = drupalSettings.taxonomyViewCounter.tid;

        if (tid) {
          $.ajax({
            url: "/taxonomy-view-counter/update/" + tid,
            type: "POST",
            success: function (response) {
              console.log("View count updated successfully.");
            },
            error: function () {
              console.log("Error updating view count.");
            }
          });
        }
      });
    }
  };
})(jQuery, Drupal, once);