# Taxonomy View Counter

Counts the number of views for each taxonomy term page and provides a field in the view to display the count.

- For a full description of the module visit:
  [Project Page](https://www.drupal.org/project/taxonomy_view_counter).

- To submit bug reports and feature suggestions, or to track changes visit:
  [Issue Queue](https://www.drupal.org/project/taxonomy_view_counter/token_filter).

# Dependencies:
- Drupal 10
- Taxonomy module (core)
- jQuery (core)

# Installation:
Install this module as you would normally install a
contributed Drupal module. for further information visit:
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-modules).

# Configuration:
There is no configuration UI for this module. It will automatically start counting views for each taxonomy term page.

How it works:
- Every time a user visits a taxonomy term page, the view count is updated via AJAX and stored in a custom database table `taxonomy_view_counter`.
